Skip to main content
GET
/
currencies
/
{currency_id}
Get a currency
curl --request GET \
  --url https://api.exchange.coinbase.com/currencies/{currency_id}
{
  "id": "USD",
  "name": "United States Dollar",
  "min_size": "0.01",
  "max_precision": "0.01",
  "status": "online",
  "details": {
    "type": "fiat",
    "symbol": "$",
    "sort_order": 1,
    "push_payment_methods": [
      "bank_wire",
      "fedwire",
      "swift_bank_account",
      "intra_bank_account"
    ],
    "display_name": "US Dollar",
    "group_types": [
      "fiat",
      "usd"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Currency Codes

Currency codes conform to the ISO 4217 standard where possible. Currencies that have no representation in ISO 4217 can use a custom code.

Path Parameters

currency_id
string
required

Response

id
string
required
name
string
required
min_size
string
required
status
string
required
max_precision
string
required
details
object
required
message
string
convertible_to
string[]
default_network
string
supported_networks
object[]
display_name
string